%define name		abisuite
%define version		0.7.14

# to remove later
%define libiconv_version 0.7.13

%define release 0.2mdk
%define ABIPREFIX	%{_datadir}/abisuite
%define MAKEOPT     UNIX_CAN_BUILD_STATIC=0 ABI_BUILD_VERSION=%{version} ABI_OPT_GNOME=1 ABI_OPT_PSPELL=1 ABI_OPT_OPTIMIZE=1 OPTIMIZER="$RPM_OPT_FLAGS" 
## ABI_OPT_LIBXML2=1

Name:		%{name}
Summary:	Lean and fast full-featured word processor
Version:	%{version}
Release:	%{release}
Group:		Office
Copyright:	GPL
URL:		http://www.abisource.com/

Source:		http://download.abisource.com/releases/%{version}/src/lf/abi-%{version}.tar.bz2
Source1:	http://download.abisource.com/releases/%{version}/src/lf/abidistfiles-%{version}.tar.bz2
Source2:	http://download.abisource.com/releases/%{version}/src/lf/expat-%{version}.tar.bz2
Source3:	http://download.abisource.com/releases/%{version}/src/lf/unixfonts-%{version}.tar.bz2
Source4:	http://download.abisource.com/releases/%{version}/src/lf/psiconv-%{version}.tar.bz2
#Source5:	http://download.abisource.com/releases/%{version}/src/lf/libiconv-.tar.bz2
Source9:	http://download.abisource.com/releases/%{version}/src/lf/wv-%{version}.tar.bz2
Source6:	abiword-48.xpm.bz2
Source7:	abiword-32.xpm.bz2
Source8:	abiword-16.xpm.bz2

# (fc) 0.7.13-3mdk patch libole2 files to include correct headers
# (rc) already included in 0.7.14
Patch6:			abi-0.7.13-ole2.patch.bz2

BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires: gtk+ >= 1.2
Requires: glib
Requires: expat
Requires: libpspell3
Requires: libpng >= 1.0.5
BuildRequires:	libwmf-devel glib-devel gtk+-devel freetype-devel xpm-devel zlib-devel libpng-devel expat-devel libxml-devel libpspell3-devel
BuildRequires: libgal4-devel
Prereq: chkfontpath

%description
AbiWord is a cross-platform, Open Source Word Processor developed
by the people at AbiSource, Inc. and by developers from around the world.
(http://www.abisource.com)
It is a lean and fast full-featured word processor. It works on Microsoft
Windows and most Unix Systems. Features include:

   * Basic character formatting (bold, underline, italics, etc.)
   * Paragraph alignment
   * Spell-check
   * Import of Word97 and RTF documents
   * Export to RTF, Text, HTML, and LaTeX formats
   * Interactive rulers and tabs
   * Styles
   * Unlimited undo/redo
   * Multiple column control
   * Widow/orphan control
   * Find/Replace
   * Images 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n abi -b 1 -b 2 -b 3 -b 4 -b 9

# (rc) already included in 0.7.14
#(cd $RPM_BUILD_DIR/wv
#%patch6 -p1 -b .ole2
#)

%build
make %{MAKEOPT} prefix=%{_prefix}
#make %{MAKEOPT} prefix=%{_prefix} compile
#make %{MAKEOPT} prefix=%{_prefix} canonical

%install
make %{MAKEOPT} prefix=$RPM_BUILD_ROOT%{ABIPREFIX} install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mv $RPM_BUILD_ROOT%{ABIPREFIX}/AbiSuite/bin/* $RPM_BUILD_ROOT%{_bindir}
( cd $RPM_BUILD_ROOT%{_bindir}; ln -s AbiWord abiword )
perl -pi -e "s,$RPM_BUILD_ROOT,," $RPM_BUILD_ROOT/usr/bin/AbiWord
perl -pi -e "s,%{ABIPREFIX}/AbiSuite/bin,%{_bindir}," $RPM_BUILD_ROOT%{_bindir}/AbiWord
rm -rf $RPM_BUILD_ROOT%{ABIPREFIX}/bin/
rm -rf $RPM_BUILD_ROOT%{ABIPREFIX}/AbiSuite/bin/
rm -f $RPM_BUILD_ROOT%{ABIPREFIX}/AbiSuite/COPYING  $RPM_BUILD_ROOT%{ABIPREFIX}/AbiSuite/readme.txt

# (fg) Icons
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE6} > $RPM_BUILD_ROOT%{_liconsdir}/abiword.xpm
bzcat %{SOURCE7} > $RPM_BUILD_ROOT%{_iconsdir}/abiword.xpm
bzcat %{SOURCE8} > $RPM_BUILD_ROOT%{_miconsdir}/abiword.xpm

# (fg) Menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/abiword" section="Office" \
icon="abiword.xpm" needs="x11" title="AbiWord" \
longtitle="RTF and Microsoft Word (up to 97) document editor"
EOF

# (vince) user cann't read the fonts without this
chmod 644 $RPM_BUILD_ROOT%{ABIPREFIX}/AbiSuite/fonts/*

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%doc user/wp/readme.txt COPYING COPYRIGHT.TXT CREDITS.TXT README.TXT TRADEMARK.TXT VERSION.TXT
%doc docs/*.abw docs/*.txt docs/*.html docs/status/*.html 
%dir %{ABIPREFIX}
%dir %{ABIPREFIX}/AbiSuite
%{ABIPREFIX}/AbiSuite/AbiWord
%config(noreplace) %{ABIPREFIX}/AbiSuite/fonts/fonts.dir
%config(noreplace) %{ABIPREFIX}/AbiSuite/fonts/fonts.scale
%{ABIPREFIX}/AbiSuite/fonts/*.afm
%{ABIPREFIX}/AbiSuite/fonts/*.pfa
%{ABIPREFIX}/AbiSuite/fonts/*.u2g
%{ABIPREFIX}/AbiSuite/icons
%{_bindir}/*
%{_iconsdir}/abiword.xpm
%{_miconsdir}/abiword.xpm
%{_liconsdir}/abiword.xpm
%{_menudir}/%{name}

%post
%{update_menus}
/usr/sbin/chkfontpath -q -a %{ABIPREFIX}/AbiSuite/fonts

%postun
%{clean_menus}
if [ "$1" = "0" ]; then
        /usr/sbin/chkfontpath -q -r %{ABIPREFIX}/AbiSuite/fonts
fi

%changelog
* Fri Apr  6 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.14-0.2mdk
- separated abisuite data directory into 3 entries in the filelist, to add a 
"noreplace" parameter to fonts.dir and fonts.scale (to keep user modifications when upgrading).
(thanks to Ha Duong Minh)

* Thu Apr  5 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.14-0.1mdk
- version from gnome 1.4 extra apps; tagged 0.1 until official release.
- added chkfontpath in post and postun + PreReq
- require on libpng
- more docs

* Mon Apr  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.13-3mdk
- Patch6 : include correct headers in libole code
- Correct libxml dependencies

* Thu Mar 15 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.13-2mdk
- added compilation options (gnome,libxml,pspell)

* Tue Mar 13 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.13-1mdk
- new version

* Thu Jan 04 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.7.11-7mdk
- back to -O3 (for Fcrozat who is doesn't know how to check build flags ;)

* Sat Dec 23 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.7.11-6mdk
- build with -O2 to fix gcc internal error.

* Tue Nov  7 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.11-5mdk
- Rebuild against last libstdc++ and using optimizations
- Patch to build with gcc 2.96
- Use more macros

* Wed Oct  4 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.11-4mdk
- Add ABI_BUILD_VERSION so version numbers work (from Tristan Henderson)

* Tue Oct  3 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.11-3mdk
- patch to avoid a clash between wv.h provided by abiword/wv module and 
  wmfapi.h (which it tries to include when wmf lib is correctly detected) 

* Tue Oct  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.7.11-2mdk
- added build requires on libwmf gtk+-devel glib-devel freetype-devel xpm-devel zlib-devel libpng-devel.

* Mon Sep 18 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.11-1mdk
- new version
- updated menus patch
- added toolbars patch

* Thu Sep  7 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.10-2mdk
- macroszification
- added liconsdir

* Wed Jul 19 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.10-1mdk
- Update to 0.7.10 (from Helix)
- change menu update
- move doc to standard location
- BM

* Sun May 21 2000 David BAUDENS <baudens@mandrakesoft.com> 0.7.9-1mdk
- Fix descriptions (RPM & menu)

* Tue May  2 2000 Vincent Saugey <vince@mandrakesoft.com> 0.7.9-1mdk
- Update to 0.7.9
- Nothing sucks :)

* Sat Apr 15 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.8-7mdk
- fg sucks - menu entry really really added this time :-)
- fixed sources location

* Fri Apr 14 2000 David BAUDENS <baudens@mandrakesoft.com> 0.7.8-6mdk
- Real description

* Tue Apr 11 2000 Francis Galiegue <fg@mandrakesoft.com> 0.7.8-5mdk
- Titi sucks - menu entry really added this time
- Titi sucks - %post and %postun were incorrect
- Titi sucks - there were no icons, now there are
- Removed SMP cruft

* Wed Apr 05 2000 Jerome Martin <jerome@mandrakesoft.com> 0.7.8-4mdk
- Fixing distribution tag

* Thu Mar 30 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.8-3mdk
- add menu entry

* Thu Mar 30 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.8-2mdk
- clean spec: remove last garbages of file lists
- now compliant to the new naming scheme
- fix /usr/share/abisuite/bin/abiword incorectely linked on
  /var/tmp/abisuite-buildroot/usr/share/abisuite/AbiSuite/bin/AbiWord
  This bug is present at least since 0.7.7-3mdk!!

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 0.7.8-1mdk
- 0.7.8
- PPC Support

* Tue Jan 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.7.7-2mdk
- Fix alpha/sparc compilation.

* Thu Jan 13 2000 Saugey Vincent <vince@mandrakesoft.com>
- update to 0.7.7

* Thu Oct 21 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- update to 0.7.6

* Thu Sep 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for cooker.

* Fri Sep 10 1999 Daouda LO <daouda@mandrakesoft.com>
- Mandrake adaptations
- bzipped the sources
- Make the package relocatable

* Sun Sep 05 1999 Vu Hung Quan <binaire@videotron.ca>
- update to 0.7.5 ; redhat adaptation

* Sat Jun 26 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- create (more or less) generic spec file...
